Bug 194329 - ntpdate doesn't work with multicast server
Summary: ntpdate doesn't work with multicast server
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ntp (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miroslav Lichvar
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2006-06-07 12:18 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0189
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:41:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix manycast support in ntpdate (954 bytes, patch)
2006-06-22 15:55 UTC, Miroslav Lichvar
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0189 normal SHIPPED_LIVE ntp bug fix update 2007-05-01 17:39:38 UTC

Description Bastien Nocera 2006-06-07 12:18:17 UTC
224.0.1.1 is a multicast NTP server.

ntp-4.2.0.a.20050816-10.1

1. /usr/sbin/ntpdate -v -s -b -p 8 224.0.1.1
2. in /var/log/messages you get:
Dec 12 15:46:30 termite ntpdate[17572]: ntpdate 4.2.0a@1.1190-r Mon Oct 11
09:15:59 EDT 2004 (1)
Dec 12 15:46:30 termite ntpdate[17572]: too many recvbufs allocated (43)
Dec 12 15:46:36 termite ntpdate[17572]: too many recvbufs allocated (43)
Dec 12 15:46:38 termite ntpdate[17572]: no server suitable for synchronization found

This used to work correctly with RHEL3.

Comment 3 Miroslav Lichvar 2006-06-22 15:55:28 UTC
Created attachment 131363 [details]
Fix manycast support in ntpdate

Comment 9 RHEL Product and Program Management 2006-08-18 15:38:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 22 Red Hat Bugzilla 2007-05-01 17:41:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0189.html



Note You need to log in before you can comment on or make changes to this bug.